Tryton - Issues

 

Issue8637

Title Wrong rec_name format for _changed_values
Priority bug Status resolved
Superseder Nosy List ced, reviewbot, roundup-bot
Type behavior Components trytond
Assigned To ced Keywords review
Reviews 280081004
View: 280081004

Created on 2019-09-02.15:39:53 by ced, last changed by roundup-bot.

Messages
New changeset 18c601b10b13 by Cédric Krier in branch '5.2':
Use new related API for _changed_values
https://hg.tryton.org/trytond/rev/18c601b10b13
New changeset 34fa058287dd by Cédric Krier in branch 'default':
Use new related API for _changed_values
https://hg.tryton.org/tryton-env/rev/34fa058287dd
New changeset 7f8346875359 by Cédric Krier in branch 'default':
Use new related API for _changed_values
https://hg.tryton.org/trytond/rev/7f8346875359

New changeset 743f684556ef by Cédric Krier in branch 'default':
Test _changed_values with rec_name
https://hg.tryton.org/trytond/rev/743f684556ef
review280081004 updated at https://codereview.tryton.org/280081004/#ps273951004
msg51622 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-09-02.15:42:20
The review280081004 added also a test but only the modelview.py should be backported to 5.2.
msg51621 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-09-02.15:39:53
Since r 596528aa0139, the rec_name value must stored in a dictionary which is set on the field name + '.'. The ModelView._changed_values has not been updated to this new format and so the rec_name must be queried by the client which may be slow if a lot of fields are set.
History
Date User Action Args
2019-09-19 19:12:17roundup-botsetmessages: + msg51944
keyword: - backport
2019-09-11 23:51:14roundup-botsetmessages: + msg51795
2019-09-11 23:51:05roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg51794
2019-09-02 16:00:45reviewbotsetnosy: + reviewbot
messages: + msg51623
2019-09-02 15:42:21cedsetmessages: + msg51622
keyword: + backport
2019-09-02 15:41:41cedsetstatus: in-progress -> testing
reviews: 280081004
keyword: + review
2019-09-02 15:39:53cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)